
Redmine - Feature #17354

User detail : show user login to admins

2014-07-01 14:21 - Jérôme BATAILLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

It's only necessary to edit app/views/users/show.html.erb

And just after :

  <% unless @user.pref.hide_mail %>

    <li><%=l(:field_mail)%>: <%= mail_to(h(@user.mail), nil, :encode => 'javascript') %></li>

  <% end %>

 Add :

  <% if User.current.admin? %>

    <li><%=l(:field_login)%>: <%= h(@user.login) %></li>

  <% end -%>

Associated revisions

Revision 13763 - 2014-12-14 21:47 - Jean-Philippe Lang

User detail : show user login to admins (#17354).

Patch by Jérôme BATAILLE.

History

#1 - 2014-07-01 15:19 - Jan Niggemann (redmine.org team member)

Good idea!

#2 - 2014-09-12 06:39 - Mischa The Evil

- Target version set to Unplanned backlogs

Small, simple and effective...

#3 - 2014-12-14 21:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Unplanned backlogs to 3.0.0

- Resolution set to Fixed

Committed in r13763, thanks.

#4 - 2014-12-14 22:04 - Jérôme BATAILLE

Thanks a lot !
